Subject: bug#79085: closed (Re: cvs package fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Jul 2025 20:20:02 +0000

Your bug report

#79085: cvs package fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79085: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79085
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: cvs package fails to build
From: Andreas Enge <[email-masked]>
To: "J. Mackay" <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Jul 2025 22:19:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ah, this old software from 2007!
These become difficult to maintain, and one ends up modifying the C
code.

Fixed in commit e9915d6cfeee2084d24f5bf4703c245e82e2c559 .

Andreas

Subject: cvs package fails to build
From: "J. Mackay" <[email-masked]>
To: [email-masked]
Date: Wed, 23 Jul 2025 21:52:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

My attempts to update my packages using "guix pull" followed by "guix
package" have failed for the past few days, apparently because compiling
the "cvs" package fails. I successfully updated my system as recently as
early last week, so the problem would seem to have been introduced fairly
recently.

I've attached the log file from the failed build of the package itself, as
well as a log (built.log.gz) of the output of the "guix pull" and "guix
package" commands. Feel free to contact me if there's any more information
that I can provide.

Thanks!